<?php
require_once __DIR__.'/../maincore.php';
require_once THEMES."templates/admin_header.php";
add_to_title("Systemu zamówień materiałów budowlanych");
set_meta("description", "Zarządzaj zamówieniami materiałów budowlanych w naszym systemie. Monitoruj statusy, przetwarzaj zamówienia i zapewnij efektywność operacyjną.");
set_meta("keywords", "weryfikacja, e-mail");
set_meta("image", "https://phpfusion9.pl/images/phpfusion.webp");
// Funkcja do usuwania zamówienia
function usunZamowienie($id) {
    $zamowienia = json_decode(file_get_contents('zamowienia.json'), true);
    $nowe_zamowienia = array_filter($zamowienia, function($zamowienie) use ($id) {
        return $zamowienie['id'] !== $id; // Zwróć zamówienia, które nie mają podanego ID
    });
    file_put_contents('zamowienia.json', json_encode(array_values($nowe_zamowienia), JSON_PRETTY_PRINT));
}

// Obsługa usuwania zamówienia
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['delete_id'])) {
    $id = htmlspecialchars($_POST['delete_id']);
    usunZamowienie($id);
    echo "<script>alert('Zamówienie zostało usunięte.');</script>";
}

// Odczyt danych z pliku JSON
$zamowienia = json_decode(file_get_contents('zamowienia.json'), true);
?>

<h1>Lista zamówień</h1>
<div class="container">
    <?php if (empty($zamowienia)): ?>
        <div class="alert alert-info">Brak zamówień do wyświetlenia.</div>
    <?php else: ?>
        <div class="table-responsive">
            <table class="table table-bordered">
                <thead>
                    <tr>
                        <th>Email</th>
                        <th>Nazwisko</th>
                        <th>Adres</th>
                        <th>Nr domu</th>
                        <th>Telefon</th>
                        <th>Miejscowość</th>
                        <th>Data realizacji</th>
                        <th>Objętość (m³)</th>
                        <th>Akcje</th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($zamowienia as $zamowienie): ?>
                        <tr>
                            <td>
                                <a href="mailto:<?php echo htmlspecialchars($zamowienie['email']); ?>">
                                    <?php echo htmlspecialchars($zamowienie['email']); ?>
                                </a>
                            </td>
                            <td><?php echo htmlspecialchars(base64_decode($zamowienie['nazwisko'])); ?></td>
                            <td><?php echo htmlspecialchars($zamowienie['adres']); ?></td>
                            <td><?php echo htmlspecialchars($zamowienie['numer_domu']); ?></td>
                            <td>
                                <a href="tel:<?php echo htmlspecialchars(base64_decode($zamowienie['telefon'])); ?>">
                                    <?php echo htmlspecialchars(base64_decode($zamowienie['telefon'])); ?>
                                </a>
                            </td>
                            <td><?php echo htmlspecialchars($zamowienie['miejscowosc']); ?></td>
                            <td><?php echo htmlspecialchars($zamowienie['data_realizacji']); ?></td>
                            <td><?php echo htmlspecialchars($zamowienie['objetosc']); ?></td>
                            <td>
                                <form method="post" style="display:inline;">
                                    <input type="hidden" name="delete_id" value="<?php echo htmlspecialchars($zamowienie['id']); ?>">
                                    <button type="submit" class="btn btn-danger">Usuń</button>
                                </form>
                            </td>
                        </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
    <?php endif; ?>
</div>

<?php require_once THEMES."templates/footer.php"; ?>
