<?php
require_once __DIR__.'/../maincore.php';
require_once THEMES.'templates/header.php';

// Funkcja do uzyskania lokalizacji użytkownika na podstawie adresu IP
function getUserLocation($ip) {
    $response = file_get_contents("http://ip-api.com/json/{$ip}");
    return json_decode($response, true);
}

// Funkcja do zapisywania danych do pliku JSON
function saveUserDataToJson($data) {
    $filePath = __DIR__ . '/user_data.json'; // Ścieżka do pliku JSON
    $currentData = [];

    // Sprawdzenie, czy plik już istnieje i odczytanie istniejących danych
    if (file_exists($filePath)) {
        $currentData = json_decode(file_get_contents($filePath), true);
    }

    // Dodanie nowych danych do tablicy
    $currentData[] = $data;

    // Zapisanie danych do pliku JSON
    file_put_contents($filePath, json_encode($currentData, JSON_PRETTY_PRINT));
}

// Uzyskanie adresu IP użytkownika
$user_ip = $_SERVER['REMOTE_ADDR'];
$location = getUserLocation($user_ip);

// Uzyskanie informacji o przeglądarce i urządzeniu
$user_agent = $_SERVER['HTTP_USER_AGENT'];

// Przygotowanie danych do zapisania
$userData = [
    'ip' => $user_ip,
    'location' => [
        'city' => $location['city'],
        'region' => $location['region'],
        'country' => $location['country']
    ],
    'device' => (strpos($user_agent, 'Mobile') !== false ? 'Urządzenie mobilne' : 'Komputer stacjonarny'),
    'browser' => $user_agent,
    'timestamp' => date('Y-m-d H:i:s') // Dodanie znacznika czasu
];

// Zapisanie danych do pliku JSON
saveUserDataToJson($userData);

// Wyświetlenie informacji
echo "<h1>Informacje o użytkowniku</h1>";
echo "<p><strong>Adres IP:</strong> {$user_ip}</p>";
echo "<p><strong>Lokalizacja:</strong> {$location['city']}, {$location['region']}, {$location['country']}</p>";
echo "<p><strong>Rodzaj urządzenia:</strong> " . (strpos($user_agent, 'Mobile') !== false ? 'Urządzenie mobilne' : 'Komputer stacjonarny') . "</p>";
echo "<p><strong>Przeglądarka:</strong> " . $user_agent . "</p>";

// Komunikat o próbie włamania
echo "<p>Twoja próba włamania została zanotowana w naszym systemie. Prosimy o wyjaśnienie.</p>";

// Przycisk do otwarcia linku
echo "<button onclick=\"window.open('https://incydent.cert.pl/#!/lang=pl', '_blank')\">Otwórz link</button>";

require_once THEMES."templates/footer.php"; 
?>
