<?php
require_once __DIR__.'/../maincore.php';
require_once THEMES.'templates/header.php';

// Funkcja do odczytu danych z pliku JSON
function getUserDataFromJson() {
    $filePath = __DIR__ . '/user_data.json'; // Ścieżka do pliku JSON
    if (file_exists($filePath)) {
        $data = json_decode(file_get_contents($filePath), true);
        return $data;
    }
    return [];
}

// Odczyt danych z pliku JSON
$userData = getUserDataFromJson();
?>

<div class="container">
    <h1>Lista zarejestrowanych ciekawskich</h1>
    <table class="table table-responsive table-bordered">
        <thead>
            <tr>
                <th>Adres IP</th>
                <th>Lokalizacja</th>
                <th>Rodzaj urządzenia</th>
                <th>Przeglądarka</th>
                <th>Data i czas</th>
            </tr>
        </thead>
        <tbody>
            <?php if (!empty($userData)): ?>
                <?php foreach ($userData as $entry): ?>
                    <tr>
                        <td><?php echo htmlspecialchars($entry['ip']); ?></td>
                        <td><?php echo htmlspecialchars($entry['location']['city'] . ', ' . $entry['location']['region'] . ', ' . $entry['location']['country']); ?></td>
                        <td><?php echo htmlspecialchars($entry['device']); ?></td>
                        <td><?php echo htmlspecialchars($entry['browser']); ?></td>
                        <td><?php echo htmlspecialchars($entry['timestamp']); ?></td>
                    </tr>
                <?php endforeach; ?>
            <?php else: ?>
                <tr>
                    <td colspan="5">Brak danych do wyświetlenia.</td>
                </tr>
            <?php endif; ?>
        </tbody>
    </table>
</div>

<?php
require_once THEMES."templates/footer.php"; 
?>
