<?php
if (strpos($_SERVER['REQUEST_URI'], '.php') !== false) {  
    $redirect_url = str_replace('.php', '', $_SERVER['REQUEST_URI']);
    header("Location: $redirect_url", true, 301);
    exit(); }
require_once __DIR__ . "/maincore.php";
require_once THEMES . "templates/header.php";
add_to_title("Weryfikacja adresu e-mail - System Rezerwacji");
set_meta("description", "Sprawdź autentyczność swojego adresu e-mail w naszym systemie rezerwacji usług. Zwiększ bezpieczeństwo i jakość danych.");
set_meta("keywords", "weryfikacja, e-mail");


// Lista zablokowanych domen
$blocked_domains = [
    'hthlm.com',
    'tempmail.com',
    '10minutemail.com',
    'mailinator.com',
    '10minutemail.com',
    // Dodaj inne domeny tymczasowe, które chcesz zablokować
];

// Funkcja do sprawdzania, czy domena jest zablokowana
function isBlockedDomain($email) {
    global $blocked_domains;
    $domain = substr(strrchr($email, "@"), 1); // Wyciągnięcie domeny z adresu e-mail
    return in_array($domain, $blocked_domains);
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $email = filter_var($_POST['email'], FILTER_SANITIZE_EMAIL);
    // Sprawdzenie poprawności adresu e-mail
    if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
        echo "Podany adres e-mail jest nieprawidłowy.";
    } elseif (isBlockedDomain($email)) {
        echo "<h1>Adres e-mail z tej domeny jest zablokowany. Proszę użyć innego adresu.</h1>";
    } else {
        $verification_code = uniqid();      
        $current_url = "https://$_SERVER[HTTP_HOST]/admin/verify.php";
        $parsed_url = parse_url($current_url);
        $domain = $parsed_url['host'];
        // Wysyłanie e-maila
        $subject = "Weryfikacja e-mail";
        $message = "Kliknij w link, aby zweryfikować swój adres e-mail: ";
        $message .= "https://$domain/admin/verify.php?code=$verification_code&email=" . urlencode($email);
        
        // Ustawienie nagłówków
        $headers = "From: No Reply <admin@$domain>\r\n";
        $headers .= "Reply-To: admin@$domain\r\n";
        $headers .= "X-Mailer: PHP/" . phpversion();

        if (mail($email, $subject, $message, $headers)) {
            echo "E-mail z kodem weryfikacyjnym został wysłany!";
            // Możesz zapisać kod w bazie danych, aby później go zweryfikować
        } else {
            echo "Wystąpił problem z wysyłaniem e-maila.";
        }
    }
} else {
    // Wyświetlenie formularza, jeśli nie został wysłany
    ?>
    <h1>Weryfikacja adresu e-mail</h1>
    <form method="post">
        <div class="form-group">
            <label for="email">Adres e-mail:</label>
            <input type="email" id="email" name="email" class="form-control" required>
        </div>
        <button type="submit" class="btn btn-success">Wyślij link weryfikacyjny</button>
    </form>
    <?php
}

require_once THEMES . "templates/footer.php";
?>

