<?php
if (strpos($_SERVER['REQUEST_URI'], '.php') !== false) {  
    $redirect_url = str_replace('.php', '', $_SERVER['REQUEST_URI']);
    header("Location: $redirect_url", true, 301);
    exit(); }
require_once __DIR__.'/maincore.php';
require_once THEMES.'templates/header.php';
add_to_title('Zarządzaj zamówieniami online');
set_meta("description", "Zarządzaj zamówieniami z systemem PHP Fusion. Intuicyjny formularz, automatyczne obliczenia i weryfikacja e-mail zwiększają efektywność i bezpieczeństwo transakcji.");
set_meta("image","https://phpfusion9.pl/images/ff/materjaly.webp");
add_to_head('<style>.article-item{width:90%;overflow:hidden;margin:auto;}.article-item h1{font-size:24px;color:#333;font-weight:bold;}.article-article{max-width:95%;margin:auto;font-size:18px;color:#333;}@media (max-width:768px){.article-item h1{font-size:26px;}.article-article{font-size:20px;}}</style>');
echo "\n"; add_to_head('<meta property="og:image" content="https://phpfusion9.pl/images/ff/materjaly.webp">');echo "\n";
add_to_footer("<script>document.getElementById('beton-form').addEventListener('input',function(){const dlugosc=parseFloat(document.getElementById('dlugosc').value)/100;const szerokosc=parseFloat(document.getElementById('szerokosc').value)/100;const wysokosc=parseFloat(document.getElementById('wysokosc').value)/100;const wspolczynnik=parseFloat(document.getElementById('wspolczynnik').value);if(!isNaN(dlugosc)&&!isNaN(szerokosc)&&!isNaN(wysokosc)&&!isNaN(wspolczynnik)){const objetosc=dlugosc*szerokosc*wysokosc;const objetosc_z_strata=objetosc*(1+wspolczynnik);document.getElementById('wynik').textContent=objetosc_z_strata.toFixed(2);document.querySelector('.wynik-beton').style.display='block'}else{document.getElementById('wynik').textContent='';document.querySelector('.wynik-beton').style.display='none'}});</script>");
add_to_footer('<script>
function validateInput(input) {
    const regex = /(.)\\1{2,}/;
    if (regex.test(input.value)) {
        input.value = input.value.slice(0, -1);
        alert("Nie można wprowadzić więcej niż dwóch identycznych liter z rzędu.");
    }
}
document.getElementById("nazwisko").addEventListener("input", function() {
    validateInput(this);
});
</script>');

$email = isset($_GET['email']) ? htmlspecialchars($_GET['email']) : '';
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Sprawdzenie, czy adres e-mail został przekazany
    if (empty($email)) {
        echo '<script>alert("Proszę wprowadzić adres e-mail.");</script>';
    } else {
        // Przeliczenie wartości z cm na m
        $dlugosc = floatval($_POST['dlugosc']) / 100; 
        $szerokosc = floatval($_POST['szerokosc']) / 100; 
        $wysokosc = floatval($_POST['wysokosc']) / 100; 
        $wspolczynnik = floatval($_POST['wspolczynnik']);    

        // Oblicz objętość
        $objetosc = $dlugosc * $szerokosc * $wysokosc;  
        $objetosc_z_strata = $objetosc * (1 + $wspolczynnik);    

        // Zbieranie danych
        $nazwisko = htmlspecialchars($_POST['nazwisko']);
        $adres = htmlspecialchars($_POST['adres']);
        $numer_domu = htmlspecialchars($_POST['numer_domu']);
        $telefon = htmlspecialchars($_POST['telefon']);
        $miejscowosc = htmlspecialchars($_POST['miejscowosc']);
        $data_realizacji = htmlspecialchars($_POST['data_realizacji']);
        
        // Kodowanie wrażliwych danych
        $telefon_encoded = base64_encode($telefon);
        $nazwisko_encoded = base64_encode($nazwisko);    

        // Przygotowanie danych do zapisu
        $data = [
            'id' => uniqid(), 
            'email' => $email,
            'nazwisko' => $nazwisko_encoded,
            'adres' => $adres,
            'numer_domu' => $numer_domu,
            'telefon' => $telefon_encoded,
            'miejscowosc' => $miejscowosc,
            'data_realizacji' => $data_realizacji,
            'objetosc' => $objetosc_z_strata
        ];    

        // Odczyt istniejących zamówień
        $zamowienia = json_decode(file_get_contents('admin/zamowienia.json'), true);
        if (!is_array($zamowienia)) {
            $zamowienia = []; 
        }    

        // Dodaj nowe zamówienie do istniejących
        $zamowienia[] = $data;

        // Zapis do pliku JSON
        file_put_contents('admin/zamowienia.json', json_encode($zamowienia, JSON_PRETTY_PRINT));    

        // Wyświetlenie komunikatu o sukcesie
        echo "<script>alert('Zamówienie zostało złożone! Potrzebna objętość betonu: " . number_format($objetosc_z_strata, 2) . " m³');</script>";
    }
}
?>

<div class="container">
    <div class="row">
        <div class="col-md-4 col-md-offset-4"> 
            <h3>Formularz zamówienia</h3>
            <form id="beton-form" method="post">
                <div class="form-group">
                    <label for="dlugosc">Długość (cm):</label>
                    <input type="number" id="dlugosc" name="dlugosc" class="form-control" required>
                </div>
                <div class="form-group">
                    <label for="szerokosc">Szerokość (cm):</label>
                    <input type="number" id="szerokosc" name="szerokosc" class="form-control" required>
                </div>
                <div class="form-group">
                    <label for="wysokosc">Wysokość/Grubość (cm):</label>
                    <input type="number" id="wysokosc" name="wysokosc" class="form-control" required>
                </div>
                <div class="form-group">
                    <label for="wspolczynnik">Współczynnik straty (np. 0.05 = 5%):</label>
                    <input type="number" id="wspolczynnik" name="wspolczynnik" class="form-control" required min="0" max="1" step="0.01" value="0.05">
                </div>
                <div class="form-group">
    <label for="email">Email:</label>
    <input type="email" class="form-control" name="email" id="email" maxlength="100" value="<?php echo $email; ?>" required readonly>
</div>
                <div class="form-group">
    <label for="nazwisko">Nazwisko:</label>
    <input type="text" id="nazwisko" name="nazwisko" class="form-control" required pattern="[A-Za-zżźćńółęąśŻŹĆĄŚĘŁÓŃ]+" title="Proszę wprowadzić tylko litery.W języku Polskim">
</div>

                <div class="form-group">
                    <label for="adres">Adres ulicy:</label>
                    <input type="text" id="adres" name="adres" class="form-control" required>
                </div>
                <div class="form-group">
                    <label for="numer_domu">Numer domu:</label>
                    <input type="text" id="numer_domu" name="numer_domu" class="form-control" required>
                </div>
                <div class="form-group">
                    <label for="telefon">Telefon:</label>
                    <input type="tel" id="telefon" name="telefon" class="form-control" required>
                </div>
                <div class="form-group">
    <label for="miejscowosc">Nazwa miejscowości:</label>
    <input type="text" id="miejscowosc" name="miejscowosc" class="form-control" required oninput="validateInput(this)">
</div>
                <div class="form-group">
                    <label for="data_realizacji">Preferowana data realizacji zamówienia:</label>
                    <input type="date" id="data_realizacji" name="data_realizacji" class="form-control" required>
                </div>
                <button type="submit" class="btn btn-success">Oblicz i zamów</button>
                <div class="wynik-beton" style="display:none;">
                    <p>Potrzebna objętość betonu: <span id="wynik"></span> m³</p>
                </div>
            </form>
        </div>
    </div>
</div>

<?php require_once THEMES."templates/footer.php"; ?>